<?php

namespace Drupal\ajax_dashboard\Plugin;

use Drupal\Component\Plugin\PluginBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class AJAXDashboardSectionBase
 * @package Drupal\ajax_dashboard\Plugin
 */
abstract class AJAXDashboardSectionBase extends PluginBase implements AJAXDashboardSectionInterface {

  public static function access( array $context = [], array $params = []) {
    // Grant by default.
    return TRUE;
  }

  public static function buildDashboard($form, FormStateInterface $form_state, $request = NULL, $params = []) {
    return [];
  }

  public static function buildSection($form, FormStateInterface $form_state, array $context = [], array $params = []) {
    return [];
  }

}
